<?
//****************************************************************************
//
// file connect.inc.php
//
// Da includere ogni volta ci si voglia connettere al database.
//
// Contiene:
// 1. funzioni di utilità per le queries
// 2. costanti di configurazione per la connessione, nomi delle tabelle
// 3. chiamate di connessione al database
//
// Last Revision: 10.09.2001
//
//****************************************************************************

//
// *** queries
//

//******************************************
//*** Funzioni di utilità per le queries ***
//******************************************

Function MyQueryError( $q ) {
  Echo "<br><br><h1>*** ERROR ***</h1>";
  Echo "Query: <b><pre>".$q."</pre></b><br>";
  Echo "MySql_Error: <b><pre>".MySql_Error()."</pre></b><br>";
  Exit();
}

Function MyQuery( $q ) {
  $res = MySql_Query( $q );
  If ( ! $res ) {
    MyQueryError( $q );
  }
  Return $res;
}

//************************
//*** DB Configuration ***
//************************

$mysql_port = "3306";

/*$realPath = RealPath( "./" );*/

  $mysql_host     = "localhost";
  $mysql_login    = "buttaro";
  $mysql_password = "gr249fk";
  $mysql_database = "qlook";
  
If ( $mysql_port != 3306 ) {  $mysql_host = "$mysql_host:$mysql_port";} 

//******************
//*** Connection ***
//******************

$c = MySql_Connect ( $mysql_host, $mysql_login, $mysql_password );
If ( ! $c ) {
  Echo "Error connecting to database!<P>";
  Exit;
}

If ( ! MySql_Select_DB ( $mysql_database ) ) {
  Echo "Error selecting database \"$mysql_database\"!<P>";
  Echo "MySQL error is: ".MySql_Error();
  Exit;
}

//*******************************
//*******   END OF FILE   *******
//*******************************
?>
